Bug 175654 - tomcat5 depends on eclipse-ecj from Developer Suite
Summary: tomcat5 depends on eclipse-ecj from Developer Suite
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Application Server
Classification: Retired
Component: tomcat (Show other bugs)
(Show other bugs)
Version: 2.0
Hardware: x86_64 Linux
medium
low
Target Milestone: ---
Assignee: Fernando Nasser
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-13 18:03 UTC by Carsten Clasohm
Modified: 2007-04-18 17:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 21:54:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carsten Clasohm 2005-12-13 18:03:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
The tomcat5 RPM from Application Server lists eclipse-ecj as one of its requirements, which can only be found in Red Hat Developer Suite.


Version-Release number of selected component (if applicable):
tomcat5-5.5.9-1jpp_5rh

How reproducible:
Always

Steps to Reproduce:
1. Subscribe a system to the Application Server channel, but not to Developer Suite.
2. Try to install tomcat5.


Actual Results:  You will get an error about an unresolvable dependency on eclipse-ecj.

Expected Results:  A server package should not depend on a development tool. And if it does, that RPM should be part of the Application Server channel.

Additional info:

Comment 1 Fernando Nasser 2005-12-13 21:54:13 UTC
eclipse-ecj *IS* on the Application Server channel (as well).

from RHN:

Description: Eclipse compiler for Java.
Arch: AMD64
Available Archs: AMD64, i386, ia64, ppc
Available From: Red Hat Application Server v. 2 (AS v. 4 for x86_64)
(...)

the first on in "Available From:" is the RHAPS channel, and it is in there.

Don't you have some newer version of eclipse installed that is preventing the
one required by tomcat to be brought in?  Tomcat requires that specific version.
Make sure you only have Java packages installed from the RHN channels on your
system.

W.r.t. "A server package should not depend on a development tool" does not apply
for J2EE containers as they do on the fly compilations of JSP's and other
fragments of Java code.  We have already requested to the Eclipse community that
they would split ECJ and make it an independent piece -- all we've got is a
promisse that this may happen in a future Eclipse release.  We have even tried
to do that separation ourselves but it did not result in something of practical use.

Comment 2 Carsten Clasohm 2005-12-14 08:59:23 UTC
Sorry, we've got a slightly hacked-together Satellite evaluation installation
and the eclipse-ecj is not present in the RHAPS channel we use. I should have
compared it with the RHN channel more carefully before writing the ticket.



Note You need to log in before you can comment on or make changes to this bug.